Subject: bug#35885: closed (Re: bug#35885: 25.2; Few mistakes in Emacs Manual (+ proposals))

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Jun 2019 16:37:02 +0000

Your bug report

#35885: 25.2; Few mistakes in Emacs Manual (+ proposals)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35885: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35885
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35885: 25.2; Few mistakes in Emacs Manual (+ proposals)
From: Eli Zaretskii <[email-masked]>
To: Sebastian Urban <[email-masked]>
Cc: [email-masked]
Date: Mon, 03 Jun 2019 19:36:17 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Sebastian Urban <[email-masked]>
> Date: Mon, 3 Jun 2019 00:50:55 +0200
> 
> 6.  In INFO 15.1.1 Basics of Incremental Search:
> - ‘<ESC> <ESC> <ESC>’ (‘isearch-cancel’) or ‘C-g C-g’ (‘isearch-abort’).
> + ‘<ESC> <ESC> <ESC>’ (‘isearch-cancel’) or ‘C-g’ (‘isearch-abort’).
> Because `view-lossage' and `describe-bindings' and the last paragraph
> of 15.1.4 say: `C-g'.

I left this unaltered, because in some cases you do need to type C-g
twice, so doing it twice always is safer.

> 7. In INFO 17.4 Executing Macros with Variations:
> -    ‘C-u C-x q’, which is ‘C-x q’ with a numeric argument, performs a
> +    ‘C-u C-x q’, which is ‘C-x q’ with a prefix argument, performs a
> Help window of `kbd-macro-query' has prefix arg.
> 
> 8. In INFO 17.5 Naming and Saving Keyboard Macros:
> -    If you give ‘insert-kbd-macro’ a numeric argument, it makes
> +    If you give ‘insert-kbd-macro’ a prefix argument, it makes
> Help window of `insert-kbd-macro' has prefix arg.

Fixed.

> 9. In INFO 15.10.2 Regexp Replacement:
> -   Repeating our example to exchange ‘x’ and ‘y’, we can thus do it also
> -this way:
> +   For example to exchange `x' and `y', we can do it this way:
> Although I'm not sure of this, the sentence sounds like there is
> another example of exchanging `x' and `y' (especially the word
> ``also''), but I cannot find it, therefore or I missed it, or there was
> something, but it was deleted and someone forgot to update the text.

There was a previous example, but it was deleted in Emacs 24.  I fixed
the wording.

> 10. In both INFO and PDF:
>    10.1. INFO 15.9 Lax Matching During Searching:
>    - such as U+249C PARENTHESIZED LATIN SMALL LETTER A and U+2100 ACCOUNT OF
>    + such as `U+249C' PARENTHESIZED LATIN SMALL LETTER A and `U+2100' 
> ACCOUNT OF
>    AND
>    - matches U+FB00 LATIN SMALL LIGATURE FF.  Character sequences that are
>    + matches `U+FB00' LATIN SMALL LIGATURE FF.  Character sequences that are
>    In both cases in PDF (12.9) string from `U' to the end of character
>    name (except `+' and digits) is written as "small caps shape" while
>    it should be: code as "typewriter family" (or verbatim?) and name as
>    normal upcase letters - just like in chapter "Inserting Text".

I don't see anything wrong with the current typeface, so I left it
alone.

>    10.2. INFO 25.5 Quotation Marks:
>    -    (1) The curved single quote characters are U+2018 LEFT SINGLE
>    - QUOTATION MARK and U+2018 RIGHT SINGLE QUOTATION MARK; the curved 
> double
>    - quotes are U+201C LEFT DOUBLE QUOTATION MARK and U+201D RIGHT DOUBLE
>    - QUOTATION MARK. On text terminals which cannot display these characters
>    +    (1) The curved single quote characters are `U+2018' LEFT SINGLE
>    + QUOTATION MARK and `U+2018' RIGHT SINGLE QUOTATION MARK; the curved 
> double
>    + quotes are `U+201C' LEFT DOUBLE QUOTATION MARK and `U+201D' RIGHT 
> DOUBLE
>    + QUOTATION MARK. On text terminals which cannot display these characters
>    Similar to the problem above, only this time in PDF (22.5), Unicode
>    should be written as typewriter/verbatim, the name is OK - all
>    uppercase.

Like earlier, I didn't change anything about the quotes, because I
think that was fixed already.  Please try the latest Texinfo sources.

> In PDF 22.5 Quotation Marks:
>     In 1st paragraph, 2nd line: 1st "like this" is surrounded with single
> curved quotes, while they should be single straight quotes.
>     In 1st paragraph, 3rd&4th line: both "like this" are surrounded with
> good quotes, but they have bad shape (normal text), while should be
> typewriter/verbatim.
>     In 2nd paragraph, 2nd line: there should be straight quotes
> followed by their curved types, but unfortunately straight quotes are
> curved as well.  Also curved have bad shape (normal text), should be
> typewriter/verbatim.
>     In 2nd paragraph, "value" at the end: curved quotes have bad shape
> (normal text), should be typewriter/verbatim.
>     In 4th paragraph, 5th line: curved quotes have bad shape (normal
> text), should be typewriter/verbatim.

Likewise.

> In point 1 (previous message) in the same paragraph, line below, "(...)
> C-x 8 [ and inserts (...)" and curved opening quote follows, which
> is good, but it has shape of normal latex text, while it should has
> typewriter/verbatim shape (bolder one).

Likewise.

> In INFO 15.6 and PDF 12.6 Syntax of Regular Expressions:
> Perhaps slanting word "special" or "special constructs" (I would opt
> for first one) in...
>     Regular expressions have a syntax in which a few characters are
> special constructs and the rest are “ordinary”.  An ordinary character
> ... for (again) stronger visual connection with word "ordinary".

Done.

Thanks again for reviewing the manual.

I'm marking this bug report done.

Subject: 25.2; Few mistakes in Emacs Manual (+ proposals)
From: Sebastian Urban <[email-masked]>
To: Bug GNU Emacs <[email-masked]>
Date: Fri, 24 May 2019 17:59:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I gathered few mistakes in the manual and 3 proposals for it, in one
report, because they are small (maybe except 2nd and 3rd proposal) and
sending them one by one would be spam-ish.  I found them in GNU Emacs
25.2.1 (i686-w64-mingw32) of 2017-04-24 and PDFs updated for 25.2 and
26.2.

* INFO
====================

1.  In INFO 11.7 Disabling Transient Mark Mode:
- ‘M-x transient-mark-mode’, or with the ‘Active Region Highlighting’ menu
+ ‘M-x transient-mark-mode’, or with the ‘Highlight Active Region’ menu
This is correct name of menu item.

2.  In INFO 13.2 Saving Text in Registers:
- activating it.  With a numeric argument, it instead puts point before
+ activating it.  With a prefix argument, it instead puts point before
Help window of 'insert-register' has prefix arg.

3.  In INFO 13.3 Saving Rectangles in Registers:
-      (‘copy-rectangle-to-register’).  With numeric argument, delete it
+      (‘copy-rectangle-to-register’).  With prefix argument, delete it
Help window of 'copy-rectangle-to-register' has prefix arg.

4.  In INFO 14.2 Recentering:
in paragraph starting with "You can also give ‘C-l’ a prefix
argument.", expressions:
    - "recenters point" should be "recenters line"
    - "puts point" (3 occurrences) should rather be "moves current
    line", because point is moved this way by 'M-r'
    ('move-to-window-line-top-bottom') and also in help window for
    'recenter-top-bottom' we have "move current line".

5.  In INFO 14.19 How Text Is Displayed:
- have an integer value between 1 and 1000, inclusive.  Note that how the
+ have an integer value between 1 and 1000, inclusive.  Note how the
I think "that" is unnecessary, "Note that how the tab character
(...)", will change into "Note how the tab character (...)".  Although
I'm not sure of it, maybe current form is correct?

* PDF
====================

1.  In PDF 4.1 Inserting Text:
in paragraph starting with "A few common Unicode characters can be
inserted (...)" (near word "respectively"), "left double quotation
mark" (curved) is displayed as "backslash" and "right double quotation
mark" (curved) is displayed as "straight double quotes".  In INFO it
looks ok.

2.  In PDF 4.1 Inserting Text:
in paragraph starting with "In some contexts, if you type a quotation
(...)", display of quotes is messed up, quotes surrounding Nth
occurrence of "like this" should be:
    - 1st - "grave accent" and "apostrophe",
    - 2nd - is ok,
    - 3rd - 2x "grave accent" and 2x "apostrophe",
    - 4th - "left double quotation mark" (curved) and "right double
      quotation mark" (curved)
Or just look into INFO, it's ok there.

3.  In PDF 11.19 How Text Is Displayed:
in last paragraph, first line, "left double quotation mark" (curved)
is displayed as "backslash" and "right double quotation mark" (curved)
is displayed as "straight double quotes".  In INFO it looks ok.

* Small proposals
====================

1.  Emphasize a word
In both INFO(7.10 Numeric arguments) and PDF(4.10 Numeric Arguments),
in last paragraph, there is a word "before", I suggest to emphasize
this word (or maybe make it slanted, up to you).  It will have
stronger (visual) connection to slanted "prefix argument".

2.  Header style should be changed.
It shows page number in right upper corner on every page, but it
should show it in right upper corner for odd (right-side) pages and in
left upper corner for even (left-side) pages - just like in normal
book.

3.  Add numbers to sections (& subsect.) for bookmark/navigation pane.
When you open it in any PDF reader with manual loaded, it only shows
names of sections, and without numbers it's difficult to navigate.

---
S. U.